#include "partition.h"
#include<iostream>
#include<vector>
#include<algorithm>
#define MAXN 110
using namespace std;
int a[MAXN];
vector<int> order;
bool calc(int curr,int last, int sz, int lim, int n)
{
    if(curr<sz && last>=n-1)return 0;
    if(curr==sz)
    {
        long long sum=0;
        for(int i=0;i<order.size();i++)
        {
            if(sum>=lim)return 0;
            sum+=a[order[i]];
        }
        if(sum<lim)return 0;
        return 1;
    }
    for(int i=last+1;i<n;i++)
    {
        order.push_back(i);
        if(calc(curr+1,i,sz,lim,n))return 1;
        order.pop_back();
    }
    return 0;
}
vector<int> solve(vector<int> A)
{
    int n=A.size();
    long long total=0;
    vector<int> ans;
    order.clear();
    for(int i=0;i<n;i++)
    {
        a[i]=A[i];
        total+=a[i];
    }
    long long lim=(total>>1)+(total&1);
    int sz=(n>>1)+(n&1);

    int best=n;
    for(int i=n-1;i>=1;i--)
    {
        order.clear();
        if(calc(0,-1,sz,lim,n))
        {
            if(abs(n-2*i)<best)
            {
                best=abs(n-2*i);
                ans.clear();
                for(int j=0;j<order.size();j++)
                {
                    ans.push_back(order[j]);
                }
            }
        }
    }

    for(int i=0;i<n;i++)
    {
        bool fl=1;
        for(int j=0;j<ans.size();j++)
        {
            if(ans[j]==i){fl=0;break;}
        }
        if(fl)ans.push_back(i);
    }
    return ans;
}